---
sidebar_label: Locator.setWaitForEnabled
---

# Locator.setWaitForEnabled() method

#### Signature:

```typescript
class Locator {
  setWaitForEnabled<NodeType extends Node>(
    this: Locator<NodeType>,
    value: boolean
  ): Locator<NodeType>;
}
```

## Parameters

| Parameter | Type                                              | Description |
| --------- | ------------------------------------------------- | ----------- |
| this      | [Locator](./puppeteer.locator.md)&lt;NodeType&gt; |             |
| value     | boolean                                           |             |

**Returns:**

[Locator](./puppeteer.locator.md)&lt;NodeType&gt;
